Bug 30506 - ipv6 fixes and cleanups
Summary: ipv6 fixes and cleanups
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
high
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-04 00:07 UTC by Pekka Savola
Modified: 2014-03-17 02:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-04 00:09:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
major bugfixes and cleanups (13.97 KB, patch)
2001-03-04 00:08 UTC, Pekka Savola
no flags Details | Diff
ipv6 tunnel set up guide (2.59 KB, text/plain)
2001-03-04 00:09 UTC, Pekka Savola
no flags Details

Description Pekka Savola 2001-03-04 00:07:00 UTC
Related in part to 28926.

I've put the ipv6 scripts to real use now, and a few issues have crept up.  Using 5.69 initscripts.
I worked them out with Peter Bieringer, and after this I believe IPv6 will be in a very good shape.

1)  A big typo in init.d/network -- net-pf-10 alias is getting added to conf.modules every time
network is run.:

--- network~    Tue Feb 27 21:34:32 2001
+++ network     Sat Mar  3 12:53:12 2001
@@ -31,7 +31,7 @@
 
 # If IPv6 is explicitly configured, make sure it's available.
 if [ "$NETWORKING_IPV6" = "yes" ]; then
-       alias=`modprobe -c | grep net-pf-10 | awk '{ print $2 }'`
+       alias=`modprobe -c | grep net-pf-10 | awk '{ print $3 }'`
        if [ "$alias" != "ipv6" -a ! -f /proc/net/if_inet6 ]; then
                echo "alias net-pf-10 ipv6" >> /etc/modules.conf
        fi

2) lots of fixes and cleanups, among other things:
 * future support for external ipv6 address format changes (e.g.: how to notice '1:0::0' and '1::0' are the same) with external tool
 * actually kill the interface and all routes/addresses attached to it at 'ifdown dev1'.
 * if using two tunnels, make 'ifup sit1; ifup sit2; ifdown sit2; ifdown sit1;' equal 'ifup sit1; ifup sit2; ifup sit1; ifup sit2'
 * don't add static IP addresses to sitX devices N times if you run 'ifup sitX' N times.
 * change $variable -> "$variable" just to be sure (not strictly necessary yet)
 * filter out messages about route setting failing if you mistype 'ifup dev0' two times in the row
 * a few missing "'"'s (the same as mentioned in personal mail and #28926)
 * add LC_ALL=C to all route/ifconfig output that is grepped (as mentioned in personal mail)
 * probably something else I forgot.

ipv6calc is something that should be considered later

3) A short small guide how John Doe can set up an IPv6 tunnel for himself, an example of configuration file format. (Is this clear
&& graphic enough?)  This should probably go to %doc.

Comment 1 Pekka Savola 2001-03-04 00:08:53 UTC
Created attachment 11720 [details]
major bugfixes and cleanups

Comment 2 Pekka Savola 2001-03-04 00:09:48 UTC
Created attachment 11721 [details]
ipv6 tunnel set up guide

Comment 3 Bill Nottingham 2001-03-05 21:10:45 UTC
Will be hacked into 5.70-1.


Note You need to log in before you can comment on or make changes to this bug.